[data-theme="light"] {
    --link: #1a0dab;
}

[data-theme="dark"] {
    --link: #8ab4f8;
}

.article-list {
    margin: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    background: none;
    padding: 0;
}

.article-card {
    background: var(--section-color);
    padding: 5px;
    border-radius: 5px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    transition: all 0.25s ease-in-out;
    cursor: pointer;
    user-select: none;
}

.article-card:hover {
    transform: translateY(-5px);
}

.article-card div {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.blog-article-body h1, .edit-blog-output h1 {
    font-size: 50px;
}

.blog-article-body h2, .edit-blog-output h2 {
    font-size: 45px;
}

.blog-article-body h3, .edit-blog-output h3 {
    font-size: 40px;
}

.blog-article-body h4, .edit-blog-output h4 {
    font-size: 35px;
}

.blog-article-body h5, .edit-blog-output h5 {
    font-size: 30px;
}

.blog-article-body h6, .edit-blog-output h6 {
    font-size: 25px;
}

.blog-article-body a, .edit-blog-output a {
    color: var(--link);
}

.edit-blog-view {
    margin: 10px;
    display: flex;
    gap: 10px;
}

.edit-blog-view .textbox {
    width: 50%;
}

.edit-blog-view .textbox::-webkit-scrollbar {
    display: none;
}

.edit-blog-output {
    width: 50%;
    background: var(--section-color);
    padding: 5px;
    border-radius: 5px;
    box-sizing: border-box;
}

@media (max-width: 1000px) {
    .article-list {
        margin: 7.5px;
        display: flex;
        flex-direction: column;
        gap: 7.5px;
        padding: 0;
    }

    .article-card {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transition: all 0.25s ease-in-out;
        cursor: pointer;
        user-select: none;
        text-align: center;
    }

    .article-card:hover {
        transform: none;
    }

    .article-card div {
        align-items: center;
    }

    .blog-article-body h1, .edit-blog-output h1 {
        font-size: 30px;
    }

    .blog-article-body h2, .edit-blog-output h2 {
        font-size: 27.5px;
    }

    .blog-article-body h3, .edit-blog-output h3 {
        font-size: 25px;
    }

    .blog-article-body h4, .edit-blog-output h4 {
        font-size: 22.5px;
    }

    .blog-article-body h5, .edit-blog-output h5 {
        font-size: 20px;
    }

    .blog-article-body h6, .edit-blog-output h6 {
        font-size: 17.5px;
    }

    .edit-blog-view {
        flex-direction: column;
    }

    .edit-blog-view .textbox, .edit-blog-output {
        width: 100%;
    }
}